%global rolename v2v-conversion-host
%global roleprefix oVirt.
%global ansible_roles_dir ansible/roles


Name: v2v-conversion-host
Summary: Set of tools for configuring conversion hosts for ManageIQ
Version: 1.16.2
Release: 3%{?release_suffix}%{?dist}
Source0: https://github.com/ManageIQ/manageiq-v2v-conversion_host/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch1: 0001-ansible-drop-removed-fact-from-check-condition.patch
Patch2: 0002-wrapper-tools-patterns-have-to-be-str-not-bytes.patch
License: ASL 2.0
Group: Virtualization/Management
Url: http://www.ovirt.org


%description
A set of tools to configure and use hosts (oVirt, OpenStack) for ManageIQ

Project contsists of:
- Ansible role to setup hosts as conversion host for ManageIQ
- daemonizing wrapper for virt-v2v

%package ansible
Summary: Ansible role to setup oVirt host as conversion host for ManageIQ
Requires: ansible >= 2.4
BuildArch: noarch

%description ansible
Ansible role to setup hosts as conversion host for ManageIQ

%package wrapper
Summary: Daemonizing wrapper for virt-v2v
BuildRequires: python3-setuptools
BuildRequires: python3-devel
Requires: libcgroup-tools
Requires: python3
Requires: python3-pycurl
BuildArch: noarch

%description wrapper
Daemonizing wrapper for virt-v2v.

%prep
%setup -c -q
%patch1 -p1
%patch2 -p1
# Remove backups caused by unclean patch application
find -name '*.orig' | xargs rm -fv

%install
export DATA_DIR=%{buildroot}%{_datadir}
export BIN_DIR=%{buildroot}%{_bindir}
export PYTHON=%{__python3}
%{__python3} setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
sh build.sh install

# Create symlinks for backward compatibility with
# ovirt-ansible-v2v-conversion-host. Remove this later.
mkdir -p %{buildroot}%{_datadir}/ovirt-ansible-v2v-conversion-host/playbooks
ln -s %{_datadir}/%{name}-ansible/playbooks/conversion_host_check.yml %{buildroot}%{_datadir}/ovirt-ansible-v2v-conversion-host/playbooks/
ln -s %{_datadir}/%{name}-ansible/playbooks/conversion_host_disable.yml %{buildroot}%{_datadir}/ovirt-ansible-v2v-conversion-host/playbooks/
ln -s %{_datadir}/%{name}-ansible/playbooks/conversion_host_enable.yml %{buildroot}%{_datadir}/ovirt-ansible-v2v-conversion-host/playbooks/
# Create symlink for backward compatibility with CFME
ln -s %{_bindir}/virt-v2v-wrapper %{buildroot}/usr/bin/virt-v2v-wrapper.py

%files ansible
%{_datadir}/%{ansible_roles_dir}/
%{_datadir}/%{name}-ansible/
%{_datadir}/ovirt-ansible-v2v-conversion-host
%doc README.md
%doc docs/
%doc ansible/examples/
%license LICENSE

%files wrapper -f INSTALLED_FILES
%{_bindir}/virt-v2v-wrapper*
%doc README.md
%doc docs/
%license LICENSE

%pre wrapper
# Previously wrapper was installed from role. Remove this rogue file
# if this is first time we install the RPM.
if [ $1 -eq 1 -a -f /usr/bin/virt-v2v-wrapper.py ] ; then
    set -e
    rm -fv /usr/bin/virt-v2v-wrapper.py
fi

%changelog
* Wed Jun 24 2020 Tomáš Golembiovský <tgolembi@redhat.com> 1.16.2-3
- patch: wrapper: tools patterns have to be str not bytes

* Tue Jun 23 2020 Tomáš Golembiovský <tgolembi@redhat.com> 1.16.2-2
- patch: ansible: drop removed fact from check condition

* Mon Jun 22 2020 Tomáš Golembiovský <tgolembi@redhat.com> 1.16.2-1
- updated to upstream version 1.16.2

* Mon Jun 15 2020 Tomáš Golembiovský <tgolembi@redhat.com> 1.16.1-1
- update to upstream version 1.16.1
- update link to upstream
- remove merged patches

* Thu May 21 2020 Tomáš Golembiovský <tgolembi@redhat.com> 1.16.0-4
- patch: Update regexp for nbdkit disk path
- patch: Fix some tiny typos
- patch: Fix rhv-verifypeer in a compatible way

* Tue Dec  3 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.16.0-3
- patch: wrapper: duplicate logs only for Kubevirt
- patch: wrapper: move atexit_command to common
- patch: wrapper: systemd: clean failed units at exit (RHBZ#1749347)

* Wed Nov 27 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.16.0-2
- patch: Fix LUKS key file opening and state file permissions

* Mon Nov 25 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.16.0-1
- update to upstream version 1.16.0
- add support for setuptools
- remove lines related to kubevirt provider

* Mon Aug 19 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.15.0-1
- updated to upstream version 1.15.0

* Tue Jun 25 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.14.2-1
- updated to upstream version 1.14.2
- removed merged patches

* Mon Jun 17 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.14.0-3
- patch: build: fix python path substitution

* Mon Jun 17 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.14.0-2
- fix path to python binary

* Sun Jun 16 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.14.0-1
- Updated to upstream version 1.14.0
- removed merged patches
- patch: wrapper: fix file mode for Python 3 compatibility

* Tue Jun 11 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.1-4
- patch: wrapper: remove stray % from Kubernetes URL

* Mon Jun 10 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.1-3
- patch: wrapper: decode paths in virt-v2v output as UTF-8 

* Tue May 28 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.1-2
- patch: wrapper: fix str/bytes mismatche 
- patch: wrapper: detect systemd service properly on EL8
- patch: wrapper: fix __StateObject in Python3

* Tue May 28 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.1-1
- Updated to upstream version 1.13.1

* Thu Apr 18 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.0-1
- Updated to upstream version 1.13.0
